API Documentation
Complete API reference for integrating Paymasters World into your systems.
Quick Start
All API requests require authentication using an API key. Include your API key in the Authorization header:
Authorization: Bearer YOUR_API_KEYBase URL: https://api.paymasters.world/v1
API Endpoints
Payroll Runs
GET
/payroll-runsList all payroll runs for a company
POST
/payroll-runsCreate a new payroll run
GET
/payroll-runs/:idGet details of a specific payroll run
PUT
/payroll-runs/:idUpdate a payroll run
Employees
GET
/employeesList all employees for a company
POST
/employeesCreate a new employee
GET
/employees/:idGet employee details
PUT
/employees/:idUpdate employee information
Reports
GET
/reports/payroll/:idGet payroll report
GET
/reports/tax-complianceGet tax compliance report
GET
/reports/analyticsGet analytics and insights
Error Codes
200Successful request
400Bad request (invalid parameters)
401Unauthorized (invalid API key)
404Not found
429Rate limit exceeded
500Server error
Need Help?
Check out our developer resources or contact our support team at api@paymasters.world